org.eclipse.incquery.viewmodel.traceability.util

## Class TraceabilitySwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.incquery.viewmodel.traceability.util.TraceabilitySwitch<T>

-     public class TraceabilitySwitch<T>
      extends org.eclipse.emf.ecore.util.Switch<T>

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `TraceabilityPackage`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TraceabilitySwitch()` Creates an instance of the switch.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `caseTrace(Trace object)` Returns the result of interpreting the object as an instance of 'Trace'.
    `T` | `caseTraceability(Traceability object)` Returns the result of interpreting the object as an instance of 'Traceability'.
    `T` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

    - ### Methods inherited from class org.eclipse.emf.ecore.util.Switch

      `doSwitch`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TraceabilitySwitch

          public TraceabilitySwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### caseTraceability

          public T caseTraceability(Traceability object)

      Returns the result of interpreting the object as an instance of 'Traceability'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Traceability'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTrace

          public T caseTrace(Trace object)

      Returns the result of interpreting the object as an instance of 'Trace'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Trace'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public T defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Overrides:
        `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`